[Intel-gfx] [PATCH i-g-t 2/3] tests/drm_lib.sh: Skip when i915 debugfs wasn't found
Daniel Vetter
daniel.vetter at ffwll.ch
Wed Dec 2 22:45:35 PST 2015
Instead of failing. We might want to move this into i915 tests
eventually, but this is good for now.
Signed-off-by: Daniel Vetter <daniel.vetter at ffwll.ch>
---
tests/drm_lib.sh | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
index c50664c7730d..e7ec4a1cfcb5 100755
--- a/tests/drm_lib.sh
+++ b/tests/drm_lib.sh
@@ -28,6 +28,11 @@ for arg in $@ ; do
esac
done
+skip() {
+ echo "$@"
+ exit 1
+}
+
die() {
echo "$@"
exit 1
@@ -54,7 +59,7 @@ for minor in `seq 0 16`; do
done
if [ $i915_dfs_path = "x" ] ; then
- die " i915 debugfs path not found."
+ skip " i915 debugfs path not found."
fi
# read everything we can
--
2.5.1
More information about the Intel-gfx
mailing list